-- Searches for the right Module und returns it
-- to the calling function
function GetPartyController()
	return FindObject(SearchModule("party_controller"))
end

-- This function can be used to find the party for a given player
-- It searches in the list of our party helper game object
function FindPartyForPlayer(user)
	if(user == nil) then
			--DebugMessage("nil user")
			return nil
	end

	local array = {}
		for key, value in pairs(GetPartyController():GetAllObjVars()) do
			table.insert(array,{name = key, value = value})
		end

	for id, party in pairs(array) do
		if (party.value.Members[user] ~= nil) then
			return party.value
		end
	end

	return nil

end
